<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
encabezado2($target); 
$orden=$_GET['orden'];
$suc=$_GET['suc'];
	class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
		  function arreglo($sql_consulta){
				$this->userObj=new select_zonas();
				$array=$this->userObj->get_array($sql_consulta);
				return $array;		
		  }
		  function get_cli($sql,$cliente){
			$this->conexionObj2=new conexion();
			$this->conexionObj2->conectarse();
			$rst_zonas=$this->conexionObj2->consultar("$sql");
			echo "<select name='cli' class='inputbox'>";
			while($row_cliente=mysql_fetch_array($rst_zonas)){ ?>
				<option value="<?=$row_cliente['id_cliente']?>" <? if($cliente==$row_cliente['id_cliente']){ echo 'selected'; }?>><?=$row_cliente['nombre']?></option>
				<?
			}
			echo "</select>";
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
	$pagina='ACTUALIZAR ORDEN';
	if($tipo==2 && !isset($Ejecutar)){
	$read="readonly='readonly'";
	$pagina='ELIMINAR ORDEN';
	}

$sql_orden="SELECT * FROM ordenes WHERE orden ='$orden' order by id_cliente";
$array=$eliminaObj->arreglo($sql_orden);
?>
<script type="text/javascript">
function calcular(frm) {
  n1 = parseFloat(frm.tu.value);
  n2 = parseFloat(frm.tn.value);
  n3 = parseFloat(frm.ti.value);
  n4 = parseFloat(frm.tp.value);
  if(isNaN(n1)) n1=0;
  if(isNaN(n2)) n2=0;
  if(isNaN(n3)) n3=0;
  if(isNaN(n3)) n4=0;
  frm.tg.value = n1 + n2 + n3 + n4;
}
</script>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
No Orden:
</td>
<td width="150" class="miTable_td">
<input type="text" name="orden" value="<? echo $orden?>" class="inputbox" size="25" readonly="readonly">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Cliente:
</td>
<td width="150" class="miTable_td">
<?
$perfil=$_SESSION['perfil'];
if($perfil==0){
$add='';
}else{
$add="WHERE id_sucursal = '$suc'";
}
$sql_clientes="SELECT id_cliente, nombre FROM clientes $add order by id_cliente";
$eliminaObj->get_cli($sql_clientes,$array[0]['id_cliente']); ?>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Producto:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="prod" value="<? echo $array[0]['producto']?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Total Urbano:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="tu" value="<? echo $array[0]['c_urbana']?>" class="inputbox" size="10" onChange="calcular(this.form)">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Total Nacional:</td>
<td width="150" class="miTable_td">
<input type="text" name="tn" value="<? echo $array[0]['c_nacional']?>" class="inputbox" size="10" onChange="calcular(this.form)">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Total Internacional:
</td>
<td width="150" class="miTable_td">
<input type="text" name="ti" value="<? echo $array[0]['c_internacional']?>" class="inputbox" size="10" onChange="calcular(this.form)">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Total Poblaciones:
</td>
<td width="150" class="miTable_td">
<input type="text" name="tp" value="<? echo $array[0]['c_poblaciones']?>" class="inputbox" size="10" onChange="calcular(this.form)">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Total General:
</td>
<td width="150" class="miTable_td">
<input type="text" name="tg" value="<? echo $array[0]['c_total'];?>" class="inputbox" size="10">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Cantidad Reportada:
</td>
<td width="150" class="miTable_td">
<input type="text" name="crep" value="<? echo $array[0]['c_reportada']?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Base de Datos:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="bd" value="1" <? if($array[0]['db']==1){ echo "checked"; }?> class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Impresion:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="imp" value="1" <? if($array[0]['impresion']==1){ echo "checked"; }?> class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Empaque:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="emp" value="1" <? if($array[0]['empaque']==1){ echo "checked"; }?> class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Labels:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="lab" value="1" <? if($array[0]['labels']==1){ echo "checked"; }?> class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Bolsa:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="bol" value="1" <? if($array[0]['bolsa']==1){ echo "checked"; }?> class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Otros:
</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="otr" value="1" <? if($array[0]['otros']==1){ echo "checked"; }?> class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Observaciones:
</td>
<td width="150" class="miTable_td">
<input type="text" name="observ" value="<? echo $array[0]['observaciones']?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Peso:
</td>
<td width="150" class="miTable_td">
<input type="text" name="peso" value="<? echo $array[0]['peso']?>" class="inputbox" size="15">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Valor:
</td>
<td width="150" class="miTable_td">
<input type="text" name="val" value="<? echo $array[0]['valor']?>" class="inputbox" size="15">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:
</td>
<td width="150" class="miTable_td">
<select name="suc" class="inputbox">
<?
class tomar_sucursal{
	var $userObj;
	//var $conexionObj2;
		function get_suc($id_suc){
		$this->userObj=new select_zonas();
		$this->userObj->get_sucursales2($id_suc);
	    }
}
$zona_nacionalObj=new tomar_sucursal();
$zona_nacionalObj->get_suc($suc);
?>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  
class ejecutaOrden{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($orden,$cliente,$prod,$tu,$tn,$ti,$tp,$tg,$bd,$crep,$observ,$suc){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new ordenes();
	  		 $this->consultarObj->setOrden($orden);//orden
			 $this->consultarObj->setCliente($cliente);//id_cliente
			 $this->consultarObj->setProducto($prod);//producto
			 $this->consultarObj->setTu($tu);
			 $this->consultarObj->setTn($tn);
			 $this->consultarObj->setTi($ti);
			 $this->consultarObj->setTp($tp);
			 $this->consultarObj->setTg($tg);
			 $this->consultarObj->setCrep($crep);
			 //$this->consultarObj->setCrev($crev);
			 $this->consultarObj->setBd($bd);
			 $this->consultarObj->setObserv($observ);
			 $this->consultarObj->setSuc($suc);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM ordenes WHERE orden='".$this->consultarObj->getOrden()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$orden=$this->consultarObj->getOrden();
				$cliente=$this->consultarObj->getCliente();
				$prod=$this->consultarObj->getProducto();
				$tu=$this->consultarObj->getTu();
				$tn=$this->consultarObj->getTn();
				$ti=$this->consultarObj->getTi();
				$tp=$this->consultarObj->getTp();
				$tg=$this->consultarObj->getTg();
				$crep=$this->consultarObj->getCrep();
				//$crev=$this->consultarObj->getCrev();
				$bd=$this->consultarObj->getBd();
				$observ=$this->consultarObj->getObserv();
				$suc=$this->consultarObj->getSuc();
				$this->modificarOrden($orden,$cliente,$prod,$tu,$tn,$ti,$tp,$tg,$bd,$crep,$observ,$suc);
			}else{
				$msgBOX2 = "No Se Encontro Cliente.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarOrden($orden,$cliente,$prod,$tu,$tn,$ti,$tp,$tg,$bd,$crep,$observ,$suc){
			$rst_modificar=$this->conexionObj->consultar("UPDATE ordenes SET id_cliente = '".$cliente."', producto = '".$prod."', cantidad_reportada = '".$crep."', cantidad_nacional = '".$tn."', cantidad_urbana = '".$tu."', cantidad_internacional = '".$ti."', cantidad_poblaciones = '".$tp."', cantidad_total = '".$tg."', bd = '".$bd."', observaciones = '".$observ."', id_sucursal = '".$suc."' WHERE orden = '".$orden."'");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Orden.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Orden.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaOrdenObj=new ejecutaOrden();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaOrdenObj->setConsultar($_POST['orden'],$_POST['cli'],$_POST['prod'],$_POST['tu'],$_POST['tn'],$_POST['ti'],$_POST['tp'],$_POST['tg'],$_POST['bd'],$_POST['crep'],$_POST['observ'],$_POST['suc']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaOrdenObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){

class quitarOrden{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($orden,$suc){
	  		 $this->consultarObj=new ordenes();
	  		 $this->consultarObj->setOrden($orden);
			 $this->consultarObj->setSuc($suc);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM ordenes WHERE orden='".$this->consultarObj->getOrden()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$orden=$this->consultarObj->getOrden();
				$suc=$this->consultarObj->getSuc();
				$this->eliminarOrden($orden,$suc);
			}else{
				$msgBOX2 = "No Se Encontro Orden.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarOrden($orden,$suc){
			$confirm=borra_ord($orden);
			if ($confirm==0){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM ordenes WHERE orden = '".$orden."'");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$rst_tabla=$this->conexionObj->consultar("SELECT nom_tabla FROM tablas_sucursales WHERE id_suc='$suc'");
				$row_tabla=mysql_fetch_array($rst_tabla);
				$tabla=$row_tabla[0];
				$rst_modificar=$this->conexionObj->consultar("DELETE FROM ".$tabla." WHERE orden = '".$orden."'");
				$msgBOX2 = "Se Elimino Orden.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Orden.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
		
		}else{
			$msgBOX2 = "No Se Pudo Eliminar orden ya que esta siendo utilizada por otros procesos.";
					echo "<script>
						  alert('$msgBOX2');
						  window.close();
						  </script>";
		
		}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarOrdenObj=new quitarOrden();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarOrdenObj->setConsultar($_POST['orden'],$_POST['suc']);
// LAMANDO EL METODO DE NEGOCIO
$quitarOrdenObj->validar();
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
  echo"</tr>";
  echo"</tbody></table>";
  echo"</body>";
  echo"</html>";
?>